org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration.AppRegistryConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration.AppRegistryConfiguration

- Enclosing class:
    DataFlowControllerAutoConfiguration

      @Configuration
      public static class DataFlowControllerAutoConfiguration.AppRegistryConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppRegistryConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppRegistrationAssemblerProvider` | `appRegistryAssemblerProvider()`
    `AppRegistryController` | `appRegistryController(Optional<StreamDefinitionRepository> streamDefinitionRepository, Optional<StreamService> streamService, AppRegistryService appRegistry, ApplicationConfigurationMetadataResolver metadataResolver, ForkJoinPool appRegistryFJPFB, StreamDefinitionService streamDefinitionService, AppRegistrationAssemblerProvider<? extends AppRegistrationResource> appRegistrationAssemblerProvider)`
    `org.springframework.scheduling.concurrent.ForkJoinPoolFactoryBean` | `appRegistryFJPFB()`
    `AppRegistryService` | `appRegistryService(AppRegistrationRepository appRegistrationRepository, AppResourceCommon appResourceCommon, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)`
    `AppResourceCommon` | `appResourceCommon(org.springframework.cloud.deployer.resource.maven.MavenProperties mavenProperties, org.springframework.cloud.deployer.resource.support.DelegatingResourceLoader delegatingResourceLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppRegistryConfiguration

          public AppRegistryConfiguration()

  - ### Method Detail

    - #### appRegistryFJPFB

          @Bean
           @ConditionalOnMissingBean(name="appRegistryFJPFB")
          public org.springframework.scheduling.concurrent.ForkJoinPoolFactoryBean appRegistryFJPFB()

    - #### appResourceCommon

          @Bean
          public AppResourceCommon appResourceCommon(@Nullable
                                                           org.springframework.cloud.deployer.resource.maven.MavenProperties mavenProperties,
                                                           org.springframework.cloud.deployer.resource.support.DelegatingResourceLoader delegatingResourceLoader)

    - #### appRegistryService

          @Bean
          public AppRegistryService appRegistryService(AppRegistrationRepository appRegistrationRepository,
                                                             AppResourceCommon appResourceCommon,
                                                             org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)

    - #### appRegistryController

          @Bean
           @ConditionalOnMissingBean
          public AppRegistryController appRegistryController(Optional<StreamDefinitionRepository> streamDefinitionRepository,
                                                                                              Optional<StreamService> streamService,
                                                                                              AppRegistryService appRegistry,
                                                                                              ApplicationConfigurationMetadataResolver metadataResolver,
                                                                                              ForkJoinPool appRegistryFJPFB,
                                                                                              StreamDefinitionService streamDefinitionService,
                                                                                              AppRegistrationAssemblerProvider<? extends AppRegistrationResource> appRegistrationAssemblerProvider)

    - #### appRegistryAssemblerProvider

          @Bean
           @ConditionalOnMissingBean
          public AppRegistrationAssemblerProvider appRegistryAssemblerProvider()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.